import MPApiUser from '../api/user/user-api'
import MPApiOrganizationUser from '../api/organization/user-api'
import MPApiOrganization from '../api/organization/organization-api'
import MPApiOrganizationInvitation from '../api/organization/invitation-api'
import MPApiApps from '../api/apps/apps-api'
import MPApiOrganizationRole from '../api/organization/role-api'
import MPApiCountries from '../api/Generic/countries-api'
import MPApiCurrencies from '../api/Generic/currencies-api'
import MPApiLanguages from '../api/Generic/languages-api'
import MPApiStatuses from '../api/Generic/statuses-api'
import MPApiAppsPlan from '../api/apps/plans-api'

// Step to register new mofel
// 1. create api file
// 2. create model object
// 3. register in this file

// when call api.{some model},
// its create a new api object, instead of calling 'new' any time

export default {
    user: function () { return new MPApiUser() },
    apps: function () { return new MPApiApps() },
    appsPlan: function (appId) { return new MPApiAppsPlan(appId) },
    organization: function () { return new MPApiOrganization() },
    organizationRole: function (organizationId) { return new MPApiOrganizationRole(organizationId) },
    organizationUser: function (organizationId) { return new MPApiOrganizationUser(organizationId) },
    organizationInvitation: function (organizationId) { return new MPApiOrganizationInvitation(organizationId) },
    genericCountries: function () { return new MPApiCountries() },
    genericLanguages: function () { return new MPApiCurrencies() },
    genericCurrencies: function () { return new MPApiLanguages() },
    genericStatuses: function () { return new MPApiStatuses() }
}
